export type User = {
    id: number
    name: string
    email: string
    birthdate: Maybe<string>
    city: Maybe<string>
    marital: Maybe<string>
    children_count: Maybe<number>
    profession: Maybe<string>
    contact: Maybe<string>
    anamnesis: Maybe<string>
    asking: Maybe<string>
    roles: UserRole[]
}

export type UserRole = {
    id: number
    name: UserRoles
    guard_name: number
}

export enum UserRoles {
    ADMIN = 'admin',
}
