import { fileURLToPath, URL } from 'node:url'
import vue from '@vitejs/plugin-vue'
import vueJsx from '@vitejs/plugin-vue-jsx'
import { defineConfig } from 'vite'
import ViteVue3Bem from 'vite-plugin-vue3-bem'

// https://vitejs.dev/config/
export default defineConfig({
    //@ts-ignore
    plugins: [vue(), ViteVue3Bem(), vueJsx()],

    resolve: {
        alias: {
            '@': fileURLToPath(new URL('./src', import.meta.url)),
        },
    },
})
