import type { AxiosResponse } from 'axios'
import { baseApi } from '@/shared'
import type { User } from '../lib'

export const fetchUser = (): Promise<UserAPI.GET.FetchUser.Response> =>
    baseApi.get('user')

export namespace UserAPI {
    export namespace GET {
        export namespace FetchUser {
            export type Response = AxiosResponse<{
                data: User
            }>
        }
    }
}
