import { type AuthData, Routes, Stores, useJWT } from '@/shared';
import { useRoute, useRouter } from 'vue-router';
import { YandexCallBack } from '@/features';
import { QueryParamsValidator } from '@/shared';


export const callBack = async () => {
    const router = useRouter();
    const { setJWT } = useJWT();

    const url = QueryParamsValidator();
    const params = new URL(url).searchParams;
    const token =  params.get('access_token') as string;

    const data = await YandexCallBack(token);
    setJWT(data.data.data.access_token);
    console.log(data.data.data.access_token)
    router.push({ name : Routes.INDEX });
};