import axios from 'axios'
import config from '@/app/configs'

const token = localStorage.getItem('user-token') || ''

const baseApi = axios.create({
    baseURL: config.baseURL,
    headers: {
        Authorization: `Bearer ${token}`,
    },
})

const baseURL = axios.create({
    baseURL: config.mainHost
})

const medicalApi = axios.create({
    baseURL: config.medicalURL,
    headers: {
        Authorization: `Bearer ${token}`,
    },
})

export { baseApi, medicalApi, baseURL }
