export const declension = (number: number, words: string[]) => {
    let word
    if (number % 10 === 1 && number % 100 !== 11) {
        word = words[0] // for numbers ending in 1, except 11
    } else if (
        number % 10 >= 2 &&
        number % 10 <= 4 &&
        (number % 100 < 10 || number % 100 >= 20)
    ) {
        word = words[1] // for numbers ending in 2, 3, 4, except 12, 13, 14
    } else {
        word = words[2] // for all other cases
    }

    return `${number} ${word}`
}
